"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTsConfig = void 0;
const devkit_1 = require("@nx/devkit");
function updateTsConfig(tree, schema) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(schema.project);
    const tsconfigPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'tsconfig.spec.json');
    if (tree.exists(tsconfigPath)) {
        (0, devkit_1.updateJson)(tree, tsconfigPath, (json) => {
            var _a, _b, _c;
            var _d;
            (_a = json.compilerOptions) !== null && _a !== void 0 ? _a : (json.compilerOptions = {});
            json.compilerOptions.module = undefined;
            (_b = (_d = json.compilerOptions).target) !== null && _b !== void 0 ? _b : (_d.target = 'es2016');
            (_c = json.files) !== null && _c !== void 0 ? _c : (json.files = ['src/test-setup.ts']);
            return json;
        }, { expectComments: true, allowTrailingComma: true });
    }
}
exports.updateTsConfig = updateTsConfig;
//# sourceMappingURL=update-tsconfig.js.map